jenkins:
  systemMessage: "Jenkins IaC setup by capricorndev.pl"
  numExecutors: 0
  securityRealm:
    local:
      allowsSignup: false
      enableCaptcha: false
      users:
        - id: "admin"
          password: "admin"
  authorizationStrategy:
    globalMatrix:
      permissions:
        - "USER:Overall/Administer:admin"
  nodes:
    - permanent:
        labelString: "docker-agent"
        launcher:
          ssh:
            credentialsId: "jenkins_agent_ssh_key"
            host: {{ jenkins_agent_host }}
            port: 22
            sshHostKeyVerificationStrategy: "nonVerifyingKeyVerificationStrategy"
        name: "docker-agent"
        remoteFS: "/home/jenkins/agent"
        retentionStrategy: "always"

security:
  gitHostKeyVerificationConfiguration:
    sshHostKeyVerificationStrategy: "acceptFirstConnectionStrategy"

credentials:
  system:
    domainCredentials:
      - credentials:
          - basicSSHUserPrivateKey:
              scope: SYSTEM
              id: jenkins_agent_ssh_key
              username: jenkins
              description: "Key pair used for Jenkins worker node access"
              privateKeySource:
                directEntry:
                  privateKey: |
                    {{ jenkins_agent_ssh_private_key|indent(20) }}
          - basicSSHUserPrivateKey:
              scope: GLOBAL
              id: git_scm_ssh_key
              username: jenkins
              description: "Key pair used for git repo access"
              privateKeySource:
                directEntry:
                  privateKey: |
                    {{ git_ssh_private_key|indent(20) }}